be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

## Class NotificationType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.NotificationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class NotificationType
      extends Object
      implements Serializable

  Groeperend element met informatie over één melding

  Java class for NotificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NotificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Category" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` Gets the value of the category property.
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getMessage()` Gets the value of the message property.
    `void` | `setCategory(String value)` Sets the value of the category property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setMessage(String value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationType

          public NotificationType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCategory

          public String getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `String`

    - #### setCategory

          public void setCategory(String value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.